package mhp.oee.po.gen;

import java.util.Date;

public class ResourceCurrentDataPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.ITEM
     *
     * @mbggenerated
     */
    private String item;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.RESOURCE_OPERATOR
     *
     * @mbggenerated
     */
    private String resourceOperator;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.OPERATOR_LOCKED
     *
     * @mbggenerated
     */
    private String operatorLocked;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.RESOURCE_ME_STAFF
     *
     * @mbggenerated
     */
    private String resourceMeStaff;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.ME_STAFF_LOCKED
     *
     * @mbggenerated
     */
    private String meStaffLocked;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resource_current_data.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.HANDLE
     *
     * @return the value of resource_current_data.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.HANDLE
     *
     * @param handle the value for resource_current_data.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.RESOURCE_BO
     *
     * @return the value of resource_current_data.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.RESOURCE_BO
     *
     * @param resourceBo the value for resource_current_data.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.ITEM
     *
     * @return the value of resource_current_data.ITEM
     *
     * @mbggenerated
     */
    public String getItem() {
        return item;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.ITEM
     *
     * @param item the value for resource_current_data.ITEM
     *
     * @mbggenerated
     */
    public void setItem(String item) {
        this.item = item == null ? null : item.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.RESOURCE_OPERATOR
     *
     * @return the value of resource_current_data.RESOURCE_OPERATOR
     *
     * @mbggenerated
     */
    public String getResourceOperator() {
        return resourceOperator;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.RESOURCE_OPERATOR
     *
     * @param resourceOperator the value for resource_current_data.RESOURCE_OPERATOR
     *
     * @mbggenerated
     */
    public void setResourceOperator(String resourceOperator) {
        this.resourceOperator = resourceOperator == null ? null : resourceOperator.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.OPERATOR_LOCKED
     *
     * @return the value of resource_current_data.OPERATOR_LOCKED
     *
     * @mbggenerated
     */
    public String getOperatorLocked() {
        return operatorLocked;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.OPERATOR_LOCKED
     *
     * @param operatorLocked the value for resource_current_data.OPERATOR_LOCKED
     *
     * @mbggenerated
     */
    public void setOperatorLocked(String operatorLocked) {
        this.operatorLocked = operatorLocked == null ? null : operatorLocked.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.RESOURCE_ME_STAFF
     *
     * @return the value of resource_current_data.RESOURCE_ME_STAFF
     *
     * @mbggenerated
     */
    public String getResourceMeStaff() {
        return resourceMeStaff;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.RESOURCE_ME_STAFF
     *
     * @param resourceMeStaff the value for resource_current_data.RESOURCE_ME_STAFF
     *
     * @mbggenerated
     */
    public void setResourceMeStaff(String resourceMeStaff) {
        this.resourceMeStaff = resourceMeStaff == null ? null : resourceMeStaff.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.ME_STAFF_LOCKED
     *
     * @return the value of resource_current_data.ME_STAFF_LOCKED
     *
     * @mbggenerated
     */
    public String getMeStaffLocked() {
        return meStaffLocked;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.ME_STAFF_LOCKED
     *
     * @param meStaffLocked the value for resource_current_data.ME_STAFF_LOCKED
     *
     * @mbggenerated
     */
    public void setMeStaffLocked(String meStaffLocked) {
        this.meStaffLocked = meStaffLocked == null ? null : meStaffLocked.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.CREATED_DATE_TIME
     *
     * @return the value of resource_current_data.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resource_current_data.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.MODIFIED_DATE_TIME
     *
     * @return the value of resource_current_data.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for resource_current_data.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resource_current_data.MODIFIED_USER
     *
     * @return the value of resource_current_data.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resource_current_data.MODIFIED_USER
     *
     * @param modifiedUser the value for resource_current_data.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}